--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_010_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_010_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/cp$$.cp
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $TESTDIR/cp$$.cp
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to ZFS fs using cp"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$CP $BNAME $TESTDIR/cp$$.cp"
+prepare $DNAME "cp $BNAME $TESTDIR/cp$$.cp"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$CP $TESTDIR/cp$$.cp $BNAME"
+migrate $TESTDIR $SUMA $SUMB "cp $TESTDIR/cp$$.cp $BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_011_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_011_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $NONZFS_TESTDIR/cp$$.cp
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $NONZFS_TESTDIR/cp$$.cp
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to UFS fs using cp"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$CP $BNAME $TESTDIR/cp$$.cp"
+prepare $DNAME "cp $BNAME $TESTDIR/cp$$.cp"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $NONZFS_TESTDIR $SUMA $SUMB "$CP $TESTDIR/cp$$.cp $BNAME"
+migrate $NONZFS_TESTDIR $SUMA $SUMB "cp $TESTDIR/cp$$.cp $BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to UFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_012_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_012_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/cp$$.cp
-	$RM -rf $NONZFS_TESTDIR/$BNAME
+	rm -rf $TESTDIR/cp$$.cp
+	rm -rf $NONZFS_TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from UFS fs to ZFS fs using cp"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$CP $BNAME $NONZFS_TESTDIR/cp$$.cp"
+prepare $DNAME "cp $BNAME $NONZFS_TESTDIR/cp$$.cp"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$CP $NONZFS_TESTDIR/cp$$.cp $BNAME"
+migrate $TESTDIR $SUMA $SUMB "cp $NONZFS_TESTDIR/cp$$.cp $BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "UFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/setup.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/setup.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,19 +51,19 @@
 
 create_pool $TESTPOOL "$ZFSSIDE_DISK"
 
-$RM -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
-$MKDIR -p $TESTDIR || log_unresolved Could not create $TESTDIR
+rm -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
+mkdir -p $TESTDIR || log_unresolved Could not create $TESTDIR
 
-log_must $ZFS create $TESTPOOL/$TESTFS
-log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTFS
+log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-$RM -rf $NONZFS_TESTDIR  || log_unresolved Could not remove $NONZFS_TESTDIR
-$MKDIR -p $NONZFS_TESTDIR || log_unresolved Could not create $NONZFS_TESTDIR
+rm -rf $NONZFS_TESTDIR  || log_unresolved Could not remove $NONZFS_TESTDIR
+mkdir -p $NONZFS_TESTDIR || log_unresolved Could not create $NONZFS_TESTDIR
 
-$ECHO "y" | $NEWFS -v /dev/rdsk/$NONZFSSIDE_DISK
+echo "y" | newfs -v /dev/rdsk/$NONZFSSIDE_DISK
 (( $? != 0 )) &&
 	log_untested "Unable to setup a UFS file system"
 
-log_must $MOUNT /dev/dsk/$NONZFSSIDE_DISK $NONZFS_TESTDIR
+log_must mount /dev/dsk/$NONZFSSIDE_DISK $NONZFS_TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/mmap/mmap_read_001_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mmap/mmap_read_001_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,9 +46,9 @@
 
 log_assert "read()s from mmap()'ed file contain correct data."
 
-log_must $CHMOD 777 $TESTDIR
-log_must $READMMAP $TESTDIR/test-read-file
-log_must $ZFS unmount $TESTPOOL/$TESTFS
+log_must chmod 777 $TESTDIR
+log_must readmmap $TESTDIR/test-read-file
+log_must zfs unmount $TESTPOOL/$TESTFS
 
 typeset dir=$(get_device_dir $DISKS)
 verify_filesys "$TESTPOOL" "$TESTPOOL/$TESTFS" "$dir"
--- old/usr/src/test/zfs-tests/tests/functional/mmap/mmap_write_001_pos.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mmap/mmap_write_001_pos.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,13 +50,13 @@
 # Detect and make sure this test must be executed on a multi-process system
 is_mp || log_fail "This test requires a multi-processor system."
 
-log_must $CHMOD 777 $TESTDIR
-$MMAPWRITE $TESTDIR/test-write-file &
+log_must chmod 777 $TESTDIR
+mmapwrite $TESTDIR/test-write-file &
 PID_MMAPWRITE=$!
-log_note "$MMAPWRITE $TESTDIR/test-write-file pid: $PID_MMAPWRITE"
-log_must $SLEEP 30
+log_note "mmapwrite $TESTDIR/test-write-file pid: $PID_MMAPWRITE"
+log_must sleep 30
 
-log_must $KILL -9 $PID_MMAPWRITE
-log_must $LS -l $TESTDIR/test-write-file
+log_must kill -9 $PID_MMAPWRITE
+log_must ls -l $TESTDIR/test-write-file
 
 log_pass "write(2) a mmap(2)'ing file succeeded."
--- old/usr/src/test/zfs-tests/tests/functional/mount/cleanup.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mount/cleanup.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,5 +34,5 @@
 log_must destroy_pool $TESTPOOL
 
 for dir in $TESTDIRS; do
-	$RM -rf $dir
+	rm -rf $dir
 done
--- old/usr/src/test/zfs-tests/tests/functional/mount/setup.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mount/setup.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -38,9 +38,9 @@
 	dir=$TESTDIR.$i
 	fs=$TESTPOOL/$TESTFS.$i
 
-	log_must $ZFS create $fs
-	log_must $MKDIR -p $dir
-	log_must $ZFS set mountpoint=$dir $fs
+	log_must zfs create $fs
+	log_must mkdir -p $dir
+	log_must zfs set mountpoint=$dir $fs
 
 	log_must mounted $fs
 done
--- old/usr/src/test/zfs-tests/tests/functional/mount/umount_001.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mount/umount_001.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,9 +45,9 @@
 
 for fs in 1 2 3; do
 	log_must mounted $TESTDIR.$fs
-	log_must $ZFS umount $TESTPOOL/$TESTFS.$fs
+	log_must zfs umount $TESTPOOL/$TESTFS.$fs
 	log_must unmounted $TESTDIR.$fs
-	log_must $ZFS mount $TESTPOOL/$TESTFS.$fs
+	log_must zfs mount $TESTPOOL/$TESTFS.$fs
 	log_must mounted $TESTDIR.$fs
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/mount/umountall_001.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mount/umountall_001.ksh	Wed Aug 31 16:21:19 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -32,7 +32,7 @@
 # 3. Run umountall -n and verify the file systems it reports are in the list.
 #
 
-log_must $ZFS mount -a
+log_must zfs mount -a
 for fs in 1 2 3 ; do
 	log_must mounted $TESTPOOL/$TESTFS.$fs
 done
@@ -43,12 +43,12 @@
 zfs_list="/ /lib /sbin /tmp /usr /var /var/adm /var/run"
 
 # Append our ZFS filesystems to the list, not worrying about duplicates.
-for fs in $($MOUNT -p | $AWK '{if ($4 == "zfs") print $3}'); do
+for fs in $(mount -p | awk '{if ($4 == "zfs") print $3}'); do
 	zfs_list="$zfs_list $fs"
 done
 
 fs=''
-for fs in $($UMOUNTALL -n -F zfs 2>&1 | $AWK '{print $2}'); do
+for fs in $(umountall -n -F zfs 2>&1 | awk '{print $2}'); do
 	for i in $zfs_list; do
 		[[ $fs = $i ]] && continue 2
 	done
--- old/usr/src/test/zfs-tests/tests/functional/mv_files/cleanup.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mv_files/cleanup.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,14 +35,14 @@
 verify_runnable "global"
 
 [[ -f /var/tmp/exitsZero.ksh ]] && \
-	log_must $RM -f /var/tmp/exitsZero.ksh
+	log_must rm -f /var/tmp/exitsZero.ksh
 [[ -f /var/tmp/testbackgprocs.ksh ]] && \
-	log_must $RM -f /var/tmp/testbackgprocs.ksh
+	log_must rm -f /var/tmp/testbackgprocs.ksh
 
 ismounted $TESTPOOL/$TESTFS_TGT
-(( $? == 0 )) && log_must $ZFS umount $TESTPOOL/$TESTFS_TGT
-log_must $ZFS destroy $TESTPOOL/$TESTFS_TGT
+(( $? == 0 )) && log_must zfs umount $TESTPOOL/$TESTFS_TGT
+log_must zfs destroy $TESTPOOL/$TESTFS_TGT
 
-[[ -d $TESTDIR_TGT ]] && log_must $RM -rf $TESTDIR_TGT
+[[ -d $TESTDIR_TGT ]] && log_must rm -rf $TESTDIR_TGT
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_001_pos.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_001_pos.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,8 +54,8 @@
 function cleanup
 {
 	PIDS=""
-	$RM -f $OLDDIR/* >/dev/null 2>&1
-	$RM -f $NEWDIR_IN_FS/* >/dev/null 2>&1
+	rm -f $OLDDIR/* >/dev/null 2>&1
+	rm -f $NEWDIR_IN_FS/* >/dev/null 2>&1
 }
 
 log_assert "Doing a 'mv' of a large amount of files within a zfs filesystem" \
--- old/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_002_pos.ksh	Wed Aug 31 16:21:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_002_pos.ksh	Wed Aug 31 16:21:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,8 +55,8 @@
 function cleanup
 {
 	PIDS=""
-	$RM -f $OLDDIR/* >/dev/null 2>&1
-	$RM -f $NEWDIR_ACROSS_FS/* >/dev/null 2>&1
+	rm -f $OLDDIR/* >/dev/null 2>&1
+	rm -f $NEWDIR_ACROSS_FS/* >/dev/null 2>&1
 }
 
 log_assert "Doing a 'mv' of a large amount of files across two zfs filesystems" \
--- old/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_common.kshlib	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mv_files/mv_files_common.kshlib	Wed Aug 31 16:21:20 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/mv_files/mv_files.cfg
@@ -37,11 +37,11 @@
 #
 function check_bg_procs_limit_num
 {
-$ECHO "#!/usr/bin/ksh" > /var/tmp/exitsZero.ksh
-$ECHO  "exit 0" >> /var/tmp/exitsZero.ksh
-$CHMOD 777 /var/tmp/exitsZero.ksh
+echo "#!/usr/bin/ksh" > /var/tmp/exitsZero.ksh
+echo  "exit 0" >> /var/tmp/exitsZero.ksh
+chmod 777 /var/tmp/exitsZero.ksh
 
-$CAT <<EOF > /var/tmp/testbackgprocs.ksh
+cat <<EOF > /var/tmp/testbackgprocs.ksh
 #!/usr/bin/ksh
 #
 # exitsZero.ksh is a one line script
@@ -57,17 +57,17 @@
         (( i = i + 1 ))
 done
 
-\$SLEEP 1
+\sleep 1
 
 for pid in \$PIDS
 do
-	\$WAIT \$pid
+	\wait \$pid
         (( \$? == 127 )) && exit 1
 done
 exit 0
 EOF
 
-$KSH /var/tmp/testbackgprocs.ksh
+ksh /var/tmp/testbackgprocs.ksh
 if [[ $? -eq 1 ]]; then
 #
 # Current ksh being executed has a limit
@@ -90,21 +90,21 @@
 		reexport_pool
 	fi
 
-        $RM -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
-        $MKDIR -p $TESTDIR || log_unresolved Could not create $TESTDIR
+        rm -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
+        mkdir -p $TESTDIR || log_unresolved Could not create $TESTDIR
 
-        $RM -rf $TESTDIR_TGT  || log_unresolved Could not remove $TESTDIR_TGT
-        $MKDIR -p $TESTDIR_TGT || log_unresolved Could not create $TESTDIR_TGT
+        rm -rf $TESTDIR_TGT  || log_unresolved Could not remove $TESTDIR_TGT
+        mkdir -p $TESTDIR_TGT || log_unresolved Could not create $TESTDIR_TGT
 
-        log_must $ZFS create $TESTPOOL/$TESTFS
-        log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+        log_must zfs create $TESTPOOL/$TESTFS
+        log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-        log_must $ZFS create $TESTPOOL/$TESTFS_TGT
-        log_must $ZFS set mountpoint=$TESTDIR_TGT $TESTPOOL/$TESTFS_TGT
+        log_must zfs create $TESTPOOL/$TESTFS_TGT
+        log_must zfs set mountpoint=$TESTDIR_TGT $TESTPOOL/$TESTFS_TGT
 
-        $MKDIR -p $OLDDIR || log_unresolved Could not create $OLDDIR
-        $MKDIR -p $NEWDIR_IN_FS || log_unresolved Could not create $NEWDIR_IN_FS
-        $MKDIR -p $NEWDIR_ACROSS_FS || log_unresolved Could not create $NEWDIR_ACROSS_FS
+        mkdir -p $OLDDIR || log_unresolved Could not create $OLDDIR
+        mkdir -p $NEWDIR_IN_FS || log_unresolved Could not create $NEWDIR_IN_FS
+        mkdir -p $NEWDIR_ACROSS_FS || log_unresolved Could not create $NEWDIR_ACROSS_FS
 
 }
 
@@ -112,8 +112,8 @@
 {
 	for pid in $1
 	do
-		$PS -e | $GREP $pid >/dev/null 2>&1
-		(( $? == 0 )) && $WAIT $pid
+		ps -e | grep $pid >/dev/null 2>&1
+		(( $? == 0 )) && wait $pid
         done
 }
 
@@ -138,12 +138,12 @@
 
         while (( count <= $2 ))
         do
-                $CP /etc/passwd $1/file_$count \
+                cp /etc/passwd $1/file_$count \
                          > /dev/null 2>&1 &
 
                 PIDS="$PIDS $!"
 
-                proc_num=`$ECHO $PIDS | $WC -w`
+                proc_num=`echo $PIDS | wc -w`
                 if (( proc_num >= GANGPIDS )); then
                         wait_pid "$PIDS"
                         proc_num=0
@@ -164,8 +164,8 @@
 function mv_files
 {
 
-        $FIND $1 -type f -print | xargs -i \
-                $MV {} $2 > /dev/null 2>&1
+        find $1 -type f -print | xargs -i \
+                mv {} $2 > /dev/null 2>&1
 }
 
 #
@@ -177,7 +177,7 @@
 function count_files
 {
         typeset -i file_num
-        file_num=`$FIND $1  -type f -print | \
+        file_num=`find $1  -type f -print | \
                 wc -l`
         (( file_num != $2 )) && \
                 log_fail "The file number of target directory"\
--- old/usr/src/test/zfs-tests/tests/functional/nestedfs/nestedfs_001_pos.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nestedfs/nestedfs_001_pos.ksh	Wed Aug 31 16:21:20 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,11 +49,11 @@
 
 log_assert "Verify a nested file system can be created/destroyed."
 
-log_must $FILE_WRITE -o create -f $TESTDIR1/file -b 8192 -c 600 -d 0
-log_must $ZFS unmount $TESTDIR1
+log_must file_write -o create -f $TESTDIR1/file -b 8192 -c 600 -d 0
+log_must zfs unmount $TESTDIR1
 
 log_note "Verify that a nested file system with a mounted file system "\
     "cannot be destroyed."
-log_mustnot $ZFS destroy $TESTPOOL/$TESTCTR
+log_mustnot zfs destroy $TESTPOOL/$TESTCTR
 
 log_pass "A nested file system was successfully populated."
--- old/usr/src/test/zfs-tests/tests/functional/no_space/cleanup.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/no_space/cleanup.ksh	Wed Aug 31 16:21:20 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 #
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,7 +37,7 @@
 
 ismounted "$TESTPOOL/$TESTFS"
 (( $? == 0 )) && \
-        log_must $ZFS umount $TESTDIR
+        log_must zfs umount $TESTDIR
 
 destroy_pool $TESTPOOL
 #
--- old/usr/src/test/zfs-tests/tests/functional/no_space/enospc_001_pos.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/no_space/enospc_001_pos.ksh	Wed Aug 31 16:21:20 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 #
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,10 +55,10 @@
 log_onexit cleanup
 
 log_assert "ENOSPC is returned when file system is full."
-log_must $ZFS set compression=off $TESTPOOL/$TESTFS
+log_must zfs set compression=off $TESTPOOL/$TESTFS
 
 log_note "Writing file: $TESTFILE0 until ENOSPC."
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
+file_write -o create -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 ret=$?
 
@@ -66,7 +66,7 @@
     log_fail "$TESTFILE0 returned: $ret rather than ENOSPC."
 
 log_note "Write another file: $TESTFILE1 but expect ENOSPC."
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCKSZ \
+file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 ret=$?
 
--- old/usr/src/test/zfs-tests/tests/functional/no_space/enospc_002_pos.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/no_space/enospc_002_pos.ksh	Wed Aug 31 16:21:20 2016
@@ -15,7 +15,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -30,11 +30,11 @@
 
 log_assert "ENOSPC is returned when file system is full."
 sync
-log_must $ZFS set compression=off $TESTPOOL/$TESTFS
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap
+log_must zfs set compression=off $TESTPOOL/$TESTFS
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap
 
 log_note "Writing file: $TESTFILE0 until ENOSPC."
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
+file_write -o create -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 ret=$?
 
@@ -41,34 +41,34 @@
 (( $ret != $ENOSPC )) && \
     log_fail "$TESTFILE0 returned: $ret rather than ENOSPC."
 
-log_mustnot_expect space $ZFS create $TESTPOOL/$TESTFS/subfs
-log_mustnot_expect space $ZFS clone $TESTPOOL/$TESTFS@snap $TESTPOOL/clone
-log_mustnot_expect space $ZFS snapshot $TESTPOOL/$TESTFS@snap2
-log_mustnot_expect space $ZFS bookmark \
+log_mustnot_expect space zfs create $TESTPOOL/$TESTFS/subfs
+log_mustnot_expect space zfs clone $TESTPOOL/$TESTFS@snap $TESTPOOL/clone
+log_mustnot_expect space zfs snapshot $TESTPOOL/$TESTFS@snap2
+log_mustnot_expect space zfs bookmark \
     $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS#bookmark
 
-log_must $ZFS send $TESTPOOL/$TESTFS@snap >/tmp/stream.$$
-log_mustnot_expect space $ZFS receive $TESTPOOL/$TESTFS/recvd </tmp/stream.$$
+log_must zfs send $TESTPOOL/$TESTFS@snap >/tmp/stream.$$
+log_mustnot_expect space zfs receive $TESTPOOL/$TESTFS/recvd </tmp/stream.$$
 log_must rm /tmp/stream.$$
 
-log_must $ZFS rename $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS@snap_newname
-log_must $ZFS rename $TESTPOOL/$TESTFS@snap_newname $TESTPOOL/$TESTFS@snap
-log_must $ZFS rename $TESTPOOL/$TESTFS $TESTPOOL/${TESTFS}_newname
-log_must $ZFS rename $TESTPOOL/${TESTFS}_newname $TESTPOOL/$TESTFS
-log_must $ZFS allow staff snapshot $TESTPOOL/$TESTFS
-log_must $ZFS unallow staff snapshot $TESTPOOL/$TESTFS
-log_must $ZFS set user:prop=value $TESTPOOL/$TESTFS
-log_must $ZFS set quota=1EB $TESTPOOL/$TESTFS
-log_must $ZFS set quota=none $TESTPOOL/$TESTFS
-log_must $ZFS set reservation=1KB $TESTPOOL/$TESTFS
-log_must $ZFS set reservation=none $TESTPOOL/$TESTFS
-log_must $ZPOOL scrub $TESTPOOL
-$ZPOOL scrub -s $TESTPOOL
-log_must $ZPOOL set comment="Use the force, Luke." $TESTPOOL
-log_must $ZPOOL set comment="" $TESTPOOL
+log_must zfs rename $TESTPOOL/$TESTFS@snap $TESTPOOL/$TESTFS@snap_newname
+log_must zfs rename $TESTPOOL/$TESTFS@snap_newname $TESTPOOL/$TESTFS@snap
+log_must zfs rename $TESTPOOL/$TESTFS $TESTPOOL/${TESTFS}_newname
+log_must zfs rename $TESTPOOL/${TESTFS}_newname $TESTPOOL/$TESTFS
+log_must zfs allow staff snapshot $TESTPOOL/$TESTFS
+log_must zfs unallow staff snapshot $TESTPOOL/$TESTFS
+log_must zfs set user:prop=value $TESTPOOL/$TESTFS
+log_must zfs set quota=1EB $TESTPOOL/$TESTFS
+log_must zfs set quota=none $TESTPOOL/$TESTFS
+log_must zfs set reservation=1KB $TESTPOOL/$TESTFS
+log_must zfs set reservation=none $TESTPOOL/$TESTFS
+log_must zpool scrub $TESTPOOL
+zpool scrub -s $TESTPOOL
+log_must zpool set comment="Use the force, Luke." $TESTPOOL
+log_must zpool set comment="" $TESTPOOL
 
 # destructive tests must come last
-log_must $ZFS rollback $TESTPOOL/$TESTFS@snap
-log_must $ZFS destroy $TESTPOOL/$TESTFS@snap
+log_must zfs rollback $TESTPOOL/$TESTFS@snap
+log_must zfs destroy $TESTPOOL/$TESTFS@snap
 
 log_pass "ENOSPC returned as expected."
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite.shlib	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite.shlib	Wed Aug 31 16:21:20 2016
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/math.shlib
@@ -27,7 +27,7 @@
 	typeset low=1
 	typeset high=99
 
-	$SYNC
+	sync
 	for i in origin snap clone; do
 		for j in used refer usedbychildren written; do
 			typeset ${i}_$j=$(get_prop $j $(eval echo \$$i))
@@ -60,7 +60,7 @@
 	# The comparisons below should pass regardless of nopwrite. They're
 	# here for sanity.
 	#
-	typeset deadlist=$($ZDB -Pddd $clone | $AWK '/Deadlist:/ {print $2}')
+	typeset deadlist=$(zdb -Pddd $clone | awk '/Deadlist:/ {print $2}')
 	within_percent $deadlist $clone_written $high || return 1
 	within_percent $snap_refer $snap_written $high || return 1
 
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_copies.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_copies.ksh	Wed Aug 31 16:21:20 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,37 +34,37 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite requires copies property to remain constant"
 
 # Verify nopwrite is disabled with increased redundancy
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
-$ZFS set copies=3 $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
+zfs set copies=3 $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
 
 # Verify nopwrite is disabled with decreased redundancy
-$ZFS destroy -R $origin || log_fail "Couldn't destroy $origin"
-$ZFS create -o mountpoint=$TESTDIR $origin || \
+zfs destroy -R $origin || log_fail "Couldn't destroy $origin"
+zfs create -o mountpoint=$TESTDIR $origin || \
     log_fail "Couldn't recreate $origin"
-log_must $ZFS set compress=on $origin
-log_must $ZFS set copies=3 $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set copies=3 $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
-$ZFS set copies=1 $origin/clone
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
+zfs set copies=1 $origin/clone
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
 log_mustnot verify_nopwrite $origin $origin@a $origin/clone
 
--- old/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_mtime.ksh	Wed Aug 31 16:21:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/nopwrite/nopwrite_mtime.ksh	Wed Aug 31 16:21:20 2016
@@ -12,7 +12,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -34,27 +34,27 @@
 
 function cleanup
 {
-	datasetexists $origin && log_must $ZFS destroy -R $origin
-	log_must $ZFS create -o mountpoint=$TESTDIR $origin
+	datasetexists $origin && log_must zfs destroy -R $origin
+	log_must zfs create -o mountpoint=$TESTDIR $origin
 }
 
 log_assert "nopwrite updates file metadata correctly"
 
-log_must $ZFS set compress=on $origin
-log_must $ZFS set checksum=sha256 $origin
-$DD if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
+log_must zfs set compress=on $origin
+log_must zfs set checksum=sha256 $origin
+dd if=/dev/urandom of=$TESTDIR/file bs=1024k count=$MEGS conv=notrunc \
     >/dev/null 2>&1 || log_fail "dd into $TESTDIR/file failed."
-$ZFS snapshot $origin@a || log_fail "zfs snap failed"
-log_must $ZFS clone $origin@a $origin/clone
+zfs snapshot $origin@a || log_fail "zfs snap failed"
+log_must zfs clone $origin@a $origin/clone
 
-o_atime=$($LS -E% all $TESTDIR/clone/file | $AWK '/atime/ {print $4}')
-o_ctime=$($LS -E% all $TESTDIR/clone/file | $AWK '/ctime/ {print $4}')
-o_mtime=$($LS -E% all $TESTDIR/clone/file | $AWK '/mtime/ {print $4}')
-$DD if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
+o_atime=$(ls -E% all $TESTDIR/clone/file | awk '/atime/ {print $4}')
+o_ctime=$(ls -E% all $TESTDIR/clone/file | awk '/ctime/ {print $4}')
+o_mtime=$(ls -E% all $TESTDIR/clone/file | awk '/mtime/ {print $4}')
+dd if=/$TESTDIR/file of=/$TESTDIR/clone/file bs=1024k count=$MEGS \
     conv=notrunc >/dev/null 2>&1 || log_fail "dd failed."
-atime=$($LS -E% all $TESTDIR/clone/file | $AWK '/atime/ {print $4}')
-ctime=$($LS -E% all $TESTDIR/clone/file | $AWK '/ctime/ {print $4}')
-mtime=$($LS -E% all $TESTDIR/clone/file | $AWK '/mtime/ {print $4}')
+atime=$(ls -E% all $TESTDIR/clone/file | awk '/atime/ {print $4}')
+ctime=$(ls -E% all $TESTDIR/clone/file | awk '/ctime/ {print $4}')
+mtime=$(ls -E% all $TESTDIR/clone/file | awk '/mtime/ {print $4}')
 
 [[ $o_atime = $atime ]] || log_fail "atime changed: $o_atime $atime"
 [[ $o_ctime = $ctime ]] && log_fail "ctime unchanged: $o_ctime $ctime"
